.TH wxSplitterWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSplitterWindow \- See external documentation: wxSplitterWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxSplitterWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSplitterWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSplitterWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowwxsplitterwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxSplitterWindow()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxSplitterWindow()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowwxsplitterwindow>\&.
.RE
.LP
.B
create(This::wxSplitterWindow(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxSplitterWindow(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowcreate>\&.
.RE
.LP
.B
getMinimumPaneSize(This::wxSplitterWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetminimumpanesize>\&.
.RE
.LP
.B
getSashGravity(This::wxSplitterWindow()) -> float()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetsashgravity>\&.
.RE
.LP
.B
getSashPosition(This::wxSplitterWindow()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetsashposition>\&.
.RE
.LP
.B
getSplitMode(This::wxSplitterWindow()) -> WxSplitMode
.br
.RS
.TP
Types
WxSplitMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetsplitmode>\&. 
.br
 WxSplitMode is one of ?wxSPLIT_HORIZONTAL | ?wxSPLIT_VERTICAL
.RE
.LP
.B
getWindow1(This::wxSplitterWindow()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetwindow1>\&.
.RE
.LP
.B
getWindow2(This::wxSplitterWindow()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowgetwindow2>\&.
.RE
.LP
.B
initialize(This::wxSplitterWindow(), Window::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowinitialize>\&.
.RE
.LP
.B
isSplit(This::wxSplitterWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowissplit>\&.
.RE
.LP
.B
replaceWindow(This::wxSplitterWindow(), WinOld::wxWindow() (see module wxWindow), WinNew::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowreplacewindow>\&.
.RE
.LP
.B
setSashGravity(This::wxSplitterWindow(), Gravity::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsetsashgravity>\&.
.RE
.LP
.B
setSashPosition(This::wxSplitterWindow(), Position::integer()) -> ok
.br
.RS
.LP
Equivalent to setSashPosition(This, Position, [])\&.
.RE
.LP
.B
setSashPosition(This::wxSplitterWindow(), Position::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {redraw, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsetsashposition>\&.
.RE
.LP
.B
setSashSize(This::wxSplitterWindow(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsetsashsize>\&.
.RE
.LP
.B
setMinimumPaneSize(This::wxSplitterWindow(), Min::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsetminimumpanesize>\&.
.RE
.LP
.B
setSplitMode(This::wxSplitterWindow(), Mode::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsetsplitmode>\&.
.RE
.LP
.B
splitHorizontally(This::wxSplitterWindow(), Window1::wxWindow() (see module wxWindow), Window2::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to splitHorizontally(This, Window1, Window2, [])\&.
.RE
.LP
.B
splitHorizontally(This::wxSplitterWindow(), Window1::wxWindow() (see module wxWindow), Window2::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {sashPosition, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsplithorizontally>\&.
.RE
.LP
.B
splitVertically(This::wxSplitterWindow(), Window1::wxWindow() (see module wxWindow), Window2::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to splitVertically(This, Window1, Window2, [])\&.
.RE
.LP
.B
splitVertically(This::wxSplitterWindow(), Window1::wxWindow() (see module wxWindow), Window2::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {sashPosition, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowsplitvertically>\&.
.RE
.LP
.B
unsplit(This::wxSplitterWindow()) -> bool()
.br
.RS
.LP
Equivalent to unsplit(This, [])\&.
.RE
.LP
.B
unsplit(This::wxSplitterWindow(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {toRemove, wxWindow() (see module wxWindow)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowunsplit>\&.
.RE
.LP
.B
updateSize(This::wxSplitterWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsplitterwindow\&.html#wxsplitterwindowupdatesize>\&.
.RE
.LP
.B
destroy(This::wxSplitterWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
